<?php
  session_start();
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/chofer.php");
  $chofer=new chofer;
  include_once($ruta."funciones/funciones.php");
  include($ruta."recursos/qr/qrlib.php");
  include_once($ruta."class/vusuario2.php");
  $vusuario2=new vusuario2;
  require_once $ruta.'recursos/pdf/mpdf/vendor/autoload.php';

  /******************    SEGURIDAD *************/
  extract($_GET);
  //********* SEGURIDAD GET *************/

  $user=dcUrl($lblcode);
  $idchofer=dcUrl($lblcode2);
 $chof=$chofer->muestra($idchofer);
  $deje=$vadmejecutivo->muestra($chof['idadmejecutivo']);
  $pergru=$personagrupo->mostrarUltimo("idpersona=".$deje['idpersona']);
   $gru=$grupo->muestra($pergru['idgrupo']);
  //$idadmeje=dcUrl($lblcode2);
  $fechaactual=date('Y-m-d');
    $horaactual=date('H:i:s');

$MesInforme= date("Y-m-t",strtotime($fechaini));



  $rutaImg=$ruta."imagenes/logo.png";
  $demp=$miempresa->muestra(1);

  $dus=$usuario->muestra($user);
  //$tba=$tipobanca->muestra($cred['idtipobanca']);
  //$eje=$vadmejecutivo->muestra($gr['idadmejecutivo']);
  //$ddom=$dominio->muestra($cred['frecuenciapago']);
  //$cuotacobrar=$cred['cuota']+1;
  //$canTCred=$credito->mostrarTodo("idgrupocredito=".$valor);

  $defaultConfig = (new Mpdf\Config\ConfigVariables())->getDefaults();
  $fontDirs = $defaultConfig['fontDir'];
  $defaultFontConfig = (new Mpdf\Config\FontVariables())->getDefaults();
  $fontData = $defaultFontConfig['fontdata'];

  //$consulta="SELECT sum(cuenta)  as 'maximo' FROM admcontrato where idsede=1";
  //$dcont=$credito->sql($consulta);
  //$dcont=array_shift($dcont);


  $mpdf = new \Mpdf\Mpdf([
      'fontDir' => array_merge([
            $ruta.'recursos/font/titilium',
        ]),
        'fontdata' => $fontData + [
            'frutiger' => [
                'R' => 'TitilliumWeb-Regular.ttf',
                'I' => 'TitilliumWeb-Italic.ttf',
            ]
        ],
        'default_font' => 'frutiger',
        'mode' => 'utf-8',
        'margin_header' => 5, 
        'margin_top' => 30, 
        'orientation' => ''
    ]
  );


  $html = '
  <br><br><br>
   <div style="text-align:right;">
                  <div class=""><h4> La paz, '.obtenerFechaLetra($fechaactual).'</h4></div>

  </div>
  <div style="text-align:center;">
    <div class="titSUB"></div>
                  <div class="titPRI"><h3>CERTIFICADO </h3></div>
                  <div class=""><h5> </h5></div>

  </div>

    <table class="">
      <thead>
        <tr>
          <th style="text-align:left; width:20%"></th>
          <th style="text-align:left; width:80%"></th>
        </tr>
      </thead>
      <tbody>
           <tr style="">
              <td></td>
               <td style="text-align: justify;"> El <b>SINDICATO MIXTO DE TRANSPORTES HEROE EDUARDO AVAROA</b> DE LA CIUDAD DE EL ALTO CREADO EL 17 DE FEBRERO DE 1980 AFILIADO A LA FEDERACIÓN ANDINA EL ALTO Y LA CENTRAL ÚNICA DE COLECTIVEROS, MICROS, MINIBUSES, TAXIS Y TRUFIS EL ALTO.<br><br>
                  <b>CERTIFICA:</b><br><br>
                  Que, El Sr(a). <b>'.$deje['nombre'].' '.$deje['paterno'].' '.$deje['materno'].'</b> con Carnet de Identidad <b>'.$deje['carnet'].' '.$deje['expedido'].'</b>, que es el miembro del sindicato con el grupo <b>'.$gru['nombre'].'</b>, durante el periodo comprendido desde el <b>'.$gru['fechacreacion'].'</b> hasta la fecha actual, demostrando responsabilidad, honestidad y dedicación en las labores como conductor de área de transporte.<br><br>
                  Se expide la presente a solicitud del interesado, para los fines que crea conveniente.<br><br><br>
                  
                  </td>
                  
            </tr>
      </tbody>
      <tfoot>
        <tr>
        <td ></td>
        <td ></td>
        </tr>
      </tfoot>
    </table>
<br>        
    
  ';
  //==============================================================
  //==============================================================
  //==============================================================

  //$mpdf->SetDisplayMode('fullpage');

  $stylesheet = file_get_contents($ruta.'recursos/css/elisyam-1.5.css');
  $mpdf->WriteHTML($stylesheet,1); // The parameter 1 tells that this is css/style only and no
  $mpdf->SetHTMLFooter('
  <table width="100%">
      <tr>
          <td width="33%"></td>
          <td width="33%" align="center"></td>
          <td width="33%" style="text-align: right;">{PAGENO}/{nbpg}</td>
      </tr>
  </table>');
  $mpdf->SetHeader($header,50);
  $mpdf->WriteHTML($html);
  $mpdf->Output();

?>
